Bug 839528 - BOINC does not close on KDE task manager
BOINC does not close on KDE task manager
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: boinc-client (Show other bugs)
18
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Milos Jakubicek
Fedora Extras Quality Assurance
: Reopened
: 1031919 (view as bug list)
Depends On: 1039258
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 04:42 EDT by Germano Massullo
Modified: 2013-12-26 04:51 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-20 04:16:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Germano Massullo 2012-07-12 04:42:36 EDT
Description of problem:
When you close the BOINC manager window, the entry in KDE task manager bar still remains there as if I minimized the window. Please notice that this is not the tray icon, it is another thing.
To make it disappear from KDE task manager bar you have to right click on it and then click on exit.

I wrote about this bug in Karma process but nobody paid attention to it

Version-Release number of selected component (if applicable):
BOINC 7.0.29
Comment 1 Kjell.Randa@broadpark.no 2012-09-02 17:22:42 EDT
I see the same problem og Fedora 16
Comment 2 Germano Massullo 2012-12-28 18:48:50 EST
Fedora 18 is affected too by this bug
Comment 3 Fedora End Of Life 2013-07-04 01:17:44 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Germano Massullo 2013-07-09 06:55:59 EDT
Confirming on Fedora 19.
Comment 5 Germano Massullo 2013-11-27 11:27:41 EST
Are there any plans to fix it?
Comment 6 Mattia Verga 2013-12-19 14:00:24 EST
This is working as planned by Boinc developers, it's the correct behaviour, nothing to fix.
Comment 7 Germano Massullo 2013-12-19 14:15:21 EST
it cannot be intended behaviour, if I want to close a window, it must close, not minimize on opened application bar ( != tray icon)
Comment 8 Mattia Verga 2013-12-20 04:16:41 EST
As I said, this is how boinc manager interface works. There's nothing we can do to change this behavior here.
If you think this is not what you want, you can open a request to boinc developers in the boinc bug tracker (http://boinc.berkeley.edu/trac/) asking to change this.
Here we produce the package for Fedora, we don't add or remove features to software.
Comment 9 Rex Dieter 2013-12-20 12:23:14 EST
see also upstream forum on the topic:
http://boinc.berkeley.edu/dev/forum_thread.php?id=8567
(for possible followup)
Comment 10 Mattia Verga 2013-12-26 04:51:48 EST
*** Bug 1031919 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.